package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrMaterialMapper;
import com.ruoyi.project.pssr.domain.TPssrMaterial;
import com.ruoyi.project.pssr.service.ITPssrMaterialService;

/**
 * 原料Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrMaterialServiceImpl implements ITPssrMaterialService
{
    @Autowired
    private TPssrMaterialMapper tPssrMaterialMapper;

    /**
     * 查询原料
     *
     * @param id 原料ID
     * @return 原料
     */
    @Override
    public TPssrMaterial selectTPssrMaterialById(Long id)
    {
        return tPssrMaterialMapper.selectTPssrMaterialById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrMaterialMapper.selectNoConfirmCount(subId);
    }
    @Override
    public TPssrMaterial selectAllConfirmedPersonBySubId(TPssrMaterial tPssrMaterial) {
        return tPssrMaterialMapper.selectAllConfirmedPersonBySubId(tPssrMaterial);
    }

    /**
     * 查询原料列表
     *
     * @param tPssrMaterial 原料
     * @return 原料
     */
    @Override
    public List<TPssrMaterial> selectTPssrMaterialList(TPssrMaterial tPssrMaterial)
    {
        return tPssrMaterialMapper.selectTPssrMaterialList(tPssrMaterial);
    }

    /**
     * 新增原料
     *
     * @param tPssrMaterial 原料
     * @return 结果
     */
    @Override
    public int insertTPssrMaterial(TPssrMaterial tPssrMaterial)
    {
        return tPssrMaterialMapper.insertTPssrMaterial(tPssrMaterial);
    }

    /**
     * 修改原料
     *
     * @param tPssrMaterial 原料
     * @return 结果
     */
    @Override
    public int updateTPssrMaterial(TPssrMaterial tPssrMaterial)
    {
        return tPssrMaterialMapper.updateTPssrMaterial(tPssrMaterial);
    }
    @Override
    public int updateAllBySubId(TPssrMaterial tPssrMaterial)
    {
        return tPssrMaterialMapper.updateAllBySubId(tPssrMaterial);
    }

    /**
     * 批量删除原料
     *
     * @param ids 需要删除的原料ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMaterialByIds(Long[] ids)
    {
        return tPssrMaterialMapper.deleteTPssrMaterialByIds(ids);
    }

    /**
     * 删除原料信息
     *
     * @param id 原料ID
     * @return 结果
     */
    @Override
    public int deleteTPssrMaterialById(Long id)
    {
        return tPssrMaterialMapper.deleteTPssrMaterialById(id);
    }
}
